com.cicada.player.utils

## Enum Logger.LogLevel

- java.lang.Object
- - java.lang.Enum<Logger.LogLevel>
  - - com.cicada.player.utils.Logger.LogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Logger.LogLevel>
  Enclosing class:
    Logger

      public static enum Logger.LogLevel
      extends java.lang.Enum<Logger.LogLevel>

  Log level

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AF_LOG_LEVEL_DEBUG` Debug
    `AF_LOG_LEVEL_ERROR` Error
    `AF_LOG_LEVEL_FATAL` Fatal
    `AF_LOG_LEVEL_INFO` Info
    `AF_LOG_LEVEL_NONE` None
    `AF_LOG_LEVEL_TRACE` Trace
    `AF_LOG_LEVEL_WARNING` Warning

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger.LogLevel` | `convert(int logLevel)`
    `int` | `getValue()`
    `static Logger.LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Logger.LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AF_LOG_LEVEL_NONE

          public static final Logger.LogLevel AF_LOG_LEVEL_NONE

      None

    - #### AF_LOG_LEVEL_FATAL

          public static final Logger.LogLevel AF_LOG_LEVEL_FATAL

      Fatal

    - #### AF_LOG_LEVEL_ERROR

          public static final Logger.LogLevel AF_LOG_LEVEL_ERROR

      Error

    - #### AF_LOG_LEVEL_WARNING

          public static final Logger.LogLevel AF_LOG_LEVEL_WARNING

      Warning

    - #### AF_LOG_LEVEL_INFO

          public static final Logger.LogLevel AF_LOG_LEVEL_INFO

      Info

    - #### AF_LOG_LEVEL_DEBUG

          public static final Logger.LogLevel AF_LOG_LEVEL_DEBUG

      Debug

    - #### AF_LOG_LEVEL_TRACE

          public static final Logger.LogLevel AF_LOG_LEVEL_TRACE

      Trace

  - ### Method Detail

    - #### values

          public static Logger.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Logger.LogLevel c : Logger.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Logger.LogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### convert

          public static Logger.LogLevel convert(int logLevel)

    - #### getValue

          public int getValue()